Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::InexactDoglegNormalStep Class Reference

Compute the normal step using a dogleg approach. More...

`#include <IpInexactDoglegNormal.hpp>`

Inheritance diagram for Ipopt::InexactDoglegNormalStep:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject More...
virtual bool | ComputeNormalStep (SmartPtr< Vector > &normal_x, SmartPtr< Vector > &normal_s)
| Method for computing the normal step. More...
Constructors/Destructors
| InexactDoglegNormalStep (SmartPtr< InexactNewtonNormalStep > newton_step, SmartPtr< InexactNormalTerminationTester > normal_tester=NULL)
| Default onstructor. More...
virtual | ~InexactDoglegNormalStep ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::InexactNormalStepCalculator
| InexactNormalStepCalculator ()
| Default onstructor. More...
virtual | ~InexactNormalStepCalculator ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods for IpoptType. More...

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| InexactDoglegNormalStep ()
| Default onstructor. More...
| InexactDoglegNormalStep (const InexactDoglegNormalStep &)
| Copy Constructor. More...
void | operator= (const InexactDoglegNormalStep &)
| Overloaded Equals Operator. More...

## Private Attributes
SmartPtr< InexactNewtonNormalStep > | newton_step_
| Pointer to object for computing the "Newton" step in the dogleg method. More...
SmartPtr < InexactNormalTerminationTester > | normal_tester_
| Pointer to object that is used by the newton_step computation object to determine if iterative solver is done. More...
Number | curr_omega_
| Current value of the trust region factor. More...
bool | last_tr_inactive_
| Flag indicating if trust region was active in last iteration. More...
Algorithmic options
Number | omega_max_

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::InexactNormalStepCalculator
InexactData & | InexData ()
| Method to easily access Inexact data. More...
InexactCq & | InexCq ()
| Method to easily access Inexact calculated quantities. More...
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Compute the normal step using a dogleg approach.

Definition at line 20 of file IpInexactDoglegNormal.hpp.

## Constructor & Destructor Documentation

Ipopt::InexactDoglegNormalStep::InexactDoglegNormalStep | ( | SmartPtr< InexactNewtonNormalStep > | newton_step,
|  | SmartPtr< InexactNormalTerminationTester > | normal_tester = `NULL`
| ) |  |

Default onstructor.

virtual Ipopt::InexactDoglegNormalStep::~InexactDoglegNormalStep | ( |  | ) |
| virtual

Default destructor.

Ipopt::InexactDoglegNormalStep::InexactDoglegNormalStep | ( |  | ) |
| private

Default onstructor.

Ipopt::InexactDoglegNormalStep::InexactDoglegNormalStep | ( | const InexactDoglegNormalStep & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::InexactDoglegNormalStep::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

overloaded from AlgorithmStrategyObject

Implements Ipopt::InexactNormalStepCalculator.

virtual bool Ipopt::InexactDoglegNormalStep::ComputeNormalStep | ( | SmartPtr< Vector > & | normal_x,
|  | SmartPtr< Vector > & | normal_s
| ) |  |
| virtual

Method for computing the normal step.

The computed step is returned as normal_x and normal_s, for the x and s variables, respectively. These quantities are not slack-scaled. If the step cannot be computed, this method returns false.

Implements Ipopt::InexactNormalStepCalculator.

static void Ipopt::InexactDoglegNormalStep::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) |
| static

Methods for IpoptType.

void Ipopt::InexactDoglegNormalStep::operator= | ( | const InexactDoglegNormalStep & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<InexactNewtonNormalStep> Ipopt::InexactDoglegNormalStep::newton_step_
| private

Pointer to object for computing the "Newton" step in the dogleg method.

Definition at line 70 of file IpInexactDoglegNormal.hpp.

SmartPtr<InexactNormalTerminationTester> Ipopt::InexactDoglegNormalStep::normal_tester_
| private

Pointer to object that is used by the newton_step computation object to determine if iterative solver is done.

This is needed here because this dogleg object is setting the value of the linearlized constraint violation at the cauchy point if normal_tester is not NULL.

Definition at line 77 of file IpInexactDoglegNormal.hpp.

Number Ipopt::InexactDoglegNormalStep::omega_max_
| private

Definition at line 81 of file IpInexactDoglegNormal.hpp.

Number Ipopt::InexactDoglegNormalStep::curr_omega_
| private

Current value of the trust region factor.

Definition at line 85 of file IpInexactDoglegNormal.hpp.

bool Ipopt::InexactDoglegNormalStep::last_tr_inactive_
| private

Flag indicating if trust region was active in last iteration.

Definition at line 88 of file IpInexactDoglegNormal.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/Inexact/IpInexactDoglegNormal.hpp